Subject: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))

From: "Gary V. Vaughan" <[email-masked]>
Date: Tue, 6 Jan 2015 17:33:57 +0000

Hi Jeff,

On Jan 6, 2015, at 4:57 PM, Jeff Squyres (jsquyres) <[email-masked]> wrote:
> 
> On Jan 6, 2015, at 7:06 AM, Gary V. Vaughan <[email-masked]> wrote:
> 
>>> Is this something that needs to be reported to the Autoconf devs, or is this already a known issue?
>> 
>> I don't really follow Autoconf development these days, but there's certainly no harm in reporting the issue upstream.  Worst case, it'll be marked as a duplicate and count as an upvote on what needs fixing next.
> 
> Ok.
> 
> Sadly, however, your workaround was good enough for my toy example that I submitted, but it did not fix the issue in the Open MPI project (i.e., I run libtoolize .../LIBTOOLIZE=true autoreconf ..., but aclocal still decides to run in the libltdl directory, and Badness Ensues).
> 
> I'll have to investigate a little deeper and see what the difference is between my toy project and what Open MPI is doing.

Even if you don't plan to adopt it, it might be instructive to write a bootstrap.conf for Open MPI and run my bootstrap in verbose mode to see what tools it runs and in what order, and whether that fixes the underlying issue.

It certainly looks like a dependency issue between the generated files, which may come from any of the autotools :-(

HTH,
-- 
Gary V. Vaughan (gary AT gnu DOT org)